FLTK 1.4.4

Loading...
Searching...
No Matches
Fl_Scroll::ScrollInfo Struct Reference

Structure to manage scrollbar and widget interior sizes. More...

`#include <Fl_Scroll.H>`

## Public Attributes
Fl_Region_LRTB | child
| child bounding box: left/right/top/bottom
int | hneeded
| horizontal scrollbar visibility
Fl_Scrollbar_Data | hscroll
| horizontal scrollbar region + values
Fl_Region_XYWH | innerbox
| widget's inner box, excluding scrollbars
Fl_Region_XYWH | innerchild
| widget's inner box, including scrollbars
int | scrollsize
| the effective scrollbar thickness (local or global)
int | vneeded
| vertical scrollbar visibility
Fl_Scrollbar_Data | vscroll
| vertical scrollbar region + values

## Detailed Description

Structure to manage scrollbar and widget interior sizes.

This is filled out by recalc_scrollbars() for use in calculations that need to know the visible scroll area size, etc.

Version
  1.3.3

The documentation for this struct was generated from the following file:

- Fl_Scroll.H